/**
 * Copyright (c) The openTCS Authors.
 *
 * This program is free software and subject to the MIT license. (For details,
 * see the licensing information (LICENSE.txt) you should have received with
 * this copy of the software.)
 */
package org.opentcs.guing.base.components.properties.type;

import org.opentcs.guing.base.model.ModelComponent;

/**
 * Abstract super class for properties that should get their own details dialog
 * for editing because editing in simple text fields or combo boxes is hard to
 * realize or not comfortable for the user.
 *
 * @author Sebastian Naumann (ifak e.V. Magdeburg)
 */
public abstract class AbstractComplexProperty
    extends AbstractProperty {

  /**
   * Creates a new instance.
   *
   * @param model The model component this property belongs to.
   */
  public AbstractComplexProperty(ModelComponent model) {
    super(model);
  }
}
